KOCRDialog Class Reference

`#include <kscan.h>`

Inherits KDialogBase.

## Signals

void | textRecognized (const QString &text, int id)

## Static Public Member Functions

static KOCRDialog * | getOCRDialog (QWidget *parent=0L, const char *name=0, bool modal=false)

## Protected Member Functions

| KOCRDialog (int dialogFace=Tabbed, int buttonMask=Close|Help, QWidget *parent=0L, const char *name=0, bool modal=false)
int | id () const
int | nextId ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Base class for OCR Dialogs.

Definition at line 236 of file kscan.h.

## Constructor & Destructor Documentation

KOCRDialog::KOCRDialog | ( | int | dialogFace = `Tabbed`,
|  | int | buttonMask = `Close|Help`,
|  | QWidget * | parent = `0L`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |  |

protected

Constructs the OCR dialog.

If you implement an own dialog, you can customize it with the usual KDialogBase flags.

Parameters

  dialogFace | the KDialogBase::DialogType
  buttonMask | a ORed mask of all buttons (see KDialogBase::ButtonCode)
  parent | the QWidget's parent, or 0
  name | the name of the QObject, can be 0
  modal | if true the dialog is model

Definition at line 93 of file kscan.cpp.

## Member Function Documentation

KOCRDialog * KOCRDialog::getOCRDialog | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |  |

static

Creates the user's preferred OCR dialog and returns it, or 0L if no OCR-support is available.

Pass a suitable `parent` widget, if you like. If you don't you have to 'delete' the returned pointer yourself.

Parameters

  parent | the QWidget's parent, or 0
  name | the name of the QObject, can be 0
  modal | if true the dialog is model

Returns
  the KOCRDialog, or 0 if the function failed

Definition at line 71 of file kscan.cpp.

int KOCRDialog::id | ( |  | ) | const

inline protected

Returns the current id for an image.

You can use that in your subclass for the signals. The id is used in the signals to let people know which text-recognition belongs to which scan.

Returns
  the current id for the image

See also
  nextId
  textRecognized

Definition at line 279 of file kscan.h.

int KOCRDialog::nextId | ( |  | ) |

inline protected

Returns the id for the next image.

You can use that in your subclass for the signals.

Returns
  the id for the next image

See also
  id
  textRecognized

Definition at line 289 of file kscan.h.

void KOCRDialog::textRecognized | ( | const QString & | text,
|  | int | id
| ) |  |

signal

Informs you that the image with the id `id` has been run through text-recognition.

The text is in the QString parameter. In the future, a compound document, using rich text will be used instead.

Parameters

  text | the text that has been recognized
  id | the id of the image

The documentation for this class was generated from the following files:

- kscan.h
- kscan.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys